Skip to main content
GET
For user by parent_urls

Node.js SDK

šŸ”— SDK Method: fetchNotificationsByParentUrlForUser Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Headers

x-neynar-experimental
boolean
default:false

Enables experimental features including filtering based on the Neynar score. See docs for more details.

Query Parameters

fid
integer
required

FID of the user you you want to fetch notifications for. The response will respect this user's mutes and blocks.

Required range: x >= 1
parent_urls
string
required

Comma separated parent_urls

Example:

"chain://eip155:1/erc721:0xd4498134211baad5846ce70ce04e7c4da78931cc"

limit
integer<int32>
default:15

Number of results to fetch

Required range: 1 <= x <= 25
Example:

15

cursor
string

Pagination cursor.

Response

Success

next
NextCursor Ā· object
required

Returns next cursor

notifications
Notification Ā· object[]
required
unseen_notifications_count
integer<int32>
required